<template>
  <div class="col-md-9">
    <h1>List Blogs</h1>
    <br>
    <BlogList :DataSender="posts" />
  </div>
</template>
<script>

import BlogList from '~/components/Blog/BlogList.vue'
export default {
  components: {
    BlogList
  },

  data () {
    return {
      posts: []
    }
  },

  mounted () {
    this.fetch()
  },

  methods: {
    fetch () {
      const axios = require('axios')
      axios.get('http://localhost:4000/blogs').then((res) => {
        this.posts = res.data
        // console.log(this.posts)
      })
    }
  }
}
</script>
<style>
</style>
